<template>
    <h3>Logout</h3>
    <div>
        <UiButton @click="() => logout()">Logout</UiButton>
    </div>
</template>

<script setup lang="ts">
function logout()
{
    const session = useCookie('session');
    session.value = undefined;
    useRouter().push('/');
}
</script>